Page MenuHomePhabricator

[wmf.12-minor] monobook Special:Notification - drop-down options for the cog icon should be aligned with the icons
Closed, ResolvedPublic

Description

In Vector skin, the icons for the cog icon options are aligned:

In monobook they are on different lines:

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterFix help menu icon placement for monobook

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 11:51 PM
Etonkovidova renamed this task from [wmf.12-minor] monobook Special:Notification - drop-down options for the cog icon should be aligned with the icos to [wmf.12-minor] monobook Special:Notification - drop-down options for the cog icon should be aligned with the icons.Jan 2 2018, 11:52 PM
Mooeypoo claimed this task.EditedJan 16 2018, 10:13 PM
Mooeypoo added subscribers: Volker_E, Mooeypoo.

@Volker_E this seems to be an issue in OOUI Apex.

There's a rule for Apex:

.oo-ui-widget.oo-ui-iconElement .oo-ui-iconElement-icon,
.oo-ui-widget.oo-ui-iconElement > * > .oo-ui-iconElement-icon,
.oo-ui-widget.oo-ui-iconElement .oo-ui-iconElement .oo-ui-iconElement-icon,
.oo-ui-widget.oo-ui-indicatorElement > .oo-ui-indicatorElement-indicator,
.oo-ui-widget.oo-ui-indicatorElement > * > .oo-ui-indicatorElement-indicator,
.oo-ui-widget.oo-ui-indicatorElement .oo-ui-indicatorElement .oo-ui-indicatorElement-indicator {
   display: block;
}

Beyond the fact that it's super specific and had to be overridden with "!important", we had to make sure the icon is set to display: inline-block; for the icon to appear properly inside the button, otherwise the label was pushed down.

How is this not causing issues in other buttons with icons?

Change 404585 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Echo@master] Fix help menu icon placement for monobook

https://gerrit.wikimedia.org/r/404585

Change 404585 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Fix help menu icon placement for monobook

https://gerrit.wikimedia.org/r/404585

Fixed - checked in betalabs:

Etonkovidova closed this task as Resolved.Jan 20 2018, 1:02 AM